Package org.apache.sling.api.resource.runtime.dto

# Enum Class FailureReason

java.lang.Object
java.lang.Enum<FailureReason>
org.apache.sling.api.resource.runtime.dto.FailureReason

All Implemented Interfaces:
  `Serializable`, `Comparable<FailureReason>`, `Constable`

public enum FailureReason extends Enum<FailureReason>
Failure reason for a failed resource provider.

Since:
  1.0.0 (Sling API Bundle 2.11.0)

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`invalid`
`service_not_gettable`
`shadowed`

## Method Summary

Modifier and Type
Method
Description
`static FailureReason`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static FailureReason[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### invalid

public static final FailureReason invalid

### shadowed

public static final FailureReason shadowed

### service_not_gettable

public static final FailureReason service_not_gettable

## Method Details

### values

public static FailureReason[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static FailureReason valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null